org.wso2.carbon.dataservices.ui.beans

## Class XADataSource

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.XADataSource

-     public class XADataSource
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XADataSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(Property property)`
    `void` | `addProperty(String name, Object value)`
    `org.apache.axiom.om.OMElement` | `buildXML()`
    `String` | `getClassName()`
    `String` | `getId()`
    `ArrayList<Property>` | `getProperties()`
    `void` | `removeProperty(Property propertyName)`
    `void` | `removeProperty(String propertyName)`
    `void` | `setClassName(String className)`
    `void` | `setId(String id)`
    `void` | `setProperties(ArrayList<Property> properties)`
    `void` | `updateProperty(String name, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XADataSource

          public XADataSource()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getClassName

          public String getClassName()

    - #### setClassName

          public void setClassName(String className)

    - #### getProperties

          public ArrayList<Property> getProperties()

    - #### setProperties

          public void setProperties(ArrayList<Property> properties)

    - #### addProperty

          public void addProperty(String name,
                         Object value)

    - #### addProperty

          public void addProperty(Property property)

    - #### removeProperty

          public void removeProperty(Property propertyName)

    - #### updateProperty

          public void updateProperty(String name,
                            String value)

    - #### removeProperty

          public void removeProperty(String propertyName)

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

Copyright © 2017 WSO2. All rights reserved.